Tag Archives | compatible

Firefox 4 Ready Add-ons and Themes

Find Compatible Themes and Add-ons

With Firefox 4 being right around the corner, are all of your favorite add-ons and themes going to make the cut?  In my own opinion, I think that the drastic changes in both the backend of Firefox and the visual frontend will lead to a lot broken add-ons and favorite themes.  Hopefully though, this will not be the case once Firefox 4 is ready for the general public at large.

Continue Reading →

Add-on Compatibility Reporter

Want to help your good friends at Mozilla do a little add-on testing?

Does you Firefox add-on need updating?

It takes a lot of work to see if add-ons still work or not, so you can do your part by installing the Add-on Compatibility Reporter.  Help the Firefox team make sure your favorite add-ons get updated for upcoming Firefox releases with this tool. 

Here is a little more about the add-on from the Mozilla team:

After installing the Add-on Compatibility Reporter, your incompatible extensions will become enabled for you to test whether they still work with the version of Firefox or Thunderbird that you’re using. If you notice that one of your add-ons doesn’t seem to be working the same way it did in previous versions of the application, just open the Add-ons Manager and click Compatibility next to that add-on to send a report to Mozilla.

Also worth mentioning is that Mozilla only recommends this add-on for alpha and beta users only. So if you like to stay on the cutting edge, this add-on is for you. You can pick up the Add-on Compatibility Reporter on the Firefox Add-ons web site.

Firefox 2.0 Compatible Extensions

So, does the Mozilla Firefox extension Web site suck? Well, I guess there is an argument for that. I wouldn’t be so harsh, but it could use some improvements. One big concern folks have is it is pretty hard to hunt down Firefox 2 compatible extensions. When not every extension author has updated – it is disappointing to see an extension you want to use and see it is for an older version only.

Well here is your fix, somebody has made a big list of all the extensions out there today that are compatible with Firefox 2.

+ Check Out the Big List of Firefox 2 Compatible Extensions!

Make Old Extensions Compatible

When I decided to make the leap to using Firefox’s latest beta (2.0b2) I ran into a problem. A lot of the extensions that I grew to love just crapped out on me. After I had a good cry, I did a little editing and got most of them back up and working. How can you do the same? Well, PerfectBlogger.com has been nice enough to post three ways of making your old extensions compatible with Firefox 2.0b2!

+ Make Your Old Extensions Work Again!